Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipReplacement

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipReplacement

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipReplacement

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Replacement', and utility methods for working with them. specDomain: V10338 (C-0-D10317-V10337-V10338-cpt)

See Also:
  `CDAR2Package.getActRelationshipReplacement()`

Field Summary
`static int` | `RPLC` The 'RPLC' literal value.
`static ActRelationshipReplacement` | `RPLC_LITERAL` The 'RPLC' literal object.
`static int` | `SUCC` The 'SUCC' literal value.
`static ActRelationshipReplacement` | `SUCC_LITERAL` The 'SUCC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Replacement' enumerators.

Method Summary
`static ActRelationshipReplacement` | `get(int value)` Returns the 'Act Relationship Replacement' literal with the specified integer value.
`static ActRelationshipReplacement` | `get(java.lang.String literal)` Returns the 'Act Relationship Replacement' literal with the specified literal value.
`static ActRelationshipReplacement` | `getByName(java.lang.String name)` Returns the 'Act Relationship Replacement' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RPLC

    public static final int RPLC

  The 'RPLC' literal value.

  If the meaning of 'RPLC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RPLC_LITERAL`, Constant Field Values

### SUCC

    public static final int SUCC

  The 'SUCC' literal value.

  If the meaning of 'SUCC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUCC_LITERAL`, Constant Field Values

### RPLC_LITERAL

    public static final ActRelationshipReplacement RPLC_LITERAL

  The 'RPLC' literal object.

  See Also:
    `RPLC`

### SUCC_LITERAL

    public static final ActRelationshipReplacement SUCC_LITERAL

  The 'SUCC' literal object.

  See Also:
    `SUCC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Replacement' enumerators.

Method Detail

### get

    public static ActRelationshipReplacement get(java.lang.String literal)

  Returns the 'Act Relationship Replacement' literal with the specified literal value.

### getByName

    public static ActRelationshipReplacement getByName(java.lang.String name)

  Returns the 'Act Relationship Replacement' literal with the specified name.

### get

    public static ActRelationshipReplacement get(int value)

  Returns the 'Act Relationship Replacement' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD